I have tried - several times - to install the copy I got from the demon. each time it caused a kernel panic and I had to power off. So, I decided to experiment a bit.
I mounted the disk image and drug the install package to the desktop so I could edit the contents. Then in a terminal window:
vi /Users/lrh/Desktop/VMware\ Fusion\ 1.0.pkg/Contents/Resources/postflight
This reveals the following:
#!/bin/bash
###
# Postflight script for VMware Fusion
# Copyright 2006 VMware, Inc. All rights reserved.
###
set -e
export PATH=/bin:/sbin:/usr/bin:/usr/sbin
LIBDIR="/Library/Application Support/VMware Fusion"
# {censored}: This writes files to LIBDIR. Is that what we want?
#
# TODO: This takes about 15-30 seconds to run, and it runs every time
# the package is installed, upgraded, or reinstalled. We could avoid
# it on upgrade and reinstall by moving this to a postinstall script,
# but people might want it to run on reinstall.
cd "$LIBDIR"
./vmware-config-net.pl
# Execute the boot-time script to load the kernel modules and start daemons.
"$LIBDIR/boot.sh"I commented out the execution of "boot.sh", saved the file and then ran the install package. It completed without error.
When I tried to run vmware I got the results several have posted - it would start and open a blank white screen and nothing else.
When I tried to reboot my system it went from the gray apple with pinwheel to a black screen and hung. I had to power off. Reboot with -v showed the problem - a kernel panic.
I then booted the system in single user mode and went to have a look at the boot.sh file. I commented out what I thought might be causing the problem and restarted the system which booted to a gui.
This is what I found:
vi /Library/Application\ Support/VMware\ Fusion/boot.sh
Editing the boot.sh file shows:
#!/bin/bash
###
# Startup script for VMware Fusion
# Copyright 2006 VMware, Inc. All rights reserved.
###
set -e
export PATH=/bin:/sbin:/usr/bin:/usr/sbin
LIBDIR="/Library/Application Support/VMware Fusion"
VMNAT_LOGFILE="/var/log/vmnat.log"
LEASEFILE="/var/db/vmware/dhcpd.leases"
if [ ! -x "$LIBDIR/vmnat" -o ! -x "$LIBDIR/vmnet-dhcpd" ]; then
echo "Error: Programs $LIBDIR/vmnat or $LIBDIR/vmnet-dhcpd not found!"
exit 1
fi
if [ ! -e "$LIBDIR/nat.conf" -o ! -e "$LIBDIR/dhcpd.conf" ]; then
echo "Error: $LIBDIR/nat.conf and $LIBDIR/dhcpd.conf must both exist!"
exit 1
fi
# TODO: We should check (and write) PID files for these rather than using
# killall.
killall vmnat || true
killall vmnet-dhcpd || true
kextunload "$LIBDIR/kexts/vmmon.kext" || true
kextunload "$LIBDIR/kexts/vmioplug.kext" || true
kextunload "$LIBDIR/kexts/vmnet.kext" || true
# kextload "$LIBDIR/kexts/vmmon.kext"
# kextload "$LIBDIR/kexts/vmioplug.kext"
# kextload "$LIBDIR/kexts/vmnet.kext"
# TODO: We should use launchd to start up both vmnat and vmnet-dhcpd.
# "$LIBDIR/vmnat" -c "$LIBDIR/nat.conf" vmnet8 > "$VMNAT_LOGFILE" 2>&1 &
# vmnet-dhcpd puts itself in the background (daemon mode)
# "$LIBDIR/vmnet-dhcpd" -cf "$LIBDIR/dhcpd.conf" -lf "$LEASEFILE" \
# -pf /var/run/vmnet-dhcpd-vmnet8.pid vmnet8
As you can see, I have commented out the portion starting with the kextload commands. On my system - specs below - attempting to load any of the vmware kexts causes a kernel panic - either in single user mode or when running the boot.sh command in a terminal window.
I believe the reason for the nonfunctional white screen that some of us have seen is the lack of the vmware kext packages being loaded. Sadly, I have hit the end of my skill set here and don't know how to resolve the problem.
I did check. The files & kext packages have the correct owner & file mode.
Any suggestions would be greatly appreciated.